## lsparisc 0.3

=== Makefile ===
PROG=lsparisc
OBJS=lsparisc.o hphw.o
LIBS=-lsysfs
CFLAGS=-Wall

${PROG}: ${OBJS}
	$(CC) -o ${PROG} ${OBJS} ${LIBS} ${CFLAGS}

clean:
	rm -f ${OBJS}

distclean: clean
	rm -f ${PROG}

## lsparisc 0.2

=== debian/changelog ===
lsparisc (0.2) unstable; urgency=low

  * Updated the sysfs parsing code to use libsysfs2, which is source
    backwards incompatible.

 -- Kyle McMartin <kyle@debian.org>  Sat,  8 Apr 2006 22:16:49 -0400

lsparisc (0.1) unstable; urgency=low

  * Initial release.

 -- Kyle McMartin <kyle@debian.org>  Tue,  4 Apr 2006 17:13:58 -0400

=== debian/control ===
Source: lsparisc
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4.0.0), libsysfs-dev
Maintainer: Kyle McMartin <kyle@debian.org>
Standards-Version: 3.6.2.2

Package: lsparisc
Architecture: any
Depends: ${shlibs:Depends}
Description: list all parisc devices currently on system
 Uses information in sysfs (Linux kernels 2.6.0 and later) to list all
 parisc native devices currently attached to the system.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PROG=lsparisc

CFLAGS  = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -rf build-stamp install-stamp .config debian/lsparisc
	$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/lsparisc/usr/bin

	install -p ${PROG} \
		debian/lsparisc/usr/bin
	
	dh_install

	touch install-stamp

binary-indep: build install
# nothing

binary-common: 
	dh_testdir 
	dh_testroot
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

common:
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install common

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-common binary install

## lsparisc 0.3

=== debian/changelog ===
lsparisc (0.3) unstable; urgency=low

  * Architecture: hppa only (closes: #373268)
  * Respin against newer libsysfs-dev... something new in it causes
    lsparisc to dump core
  * Correct package description (closes: #375484)

 -- Kyle McMartin <kyle@debian.org>  Sat, 13 Jan 2006 21:54:57 -0500

=== debian/control ===
Source: lsparisc
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4.0.0), libsysfs-dev
Maintainer: Kyle McMartin <kyle@debian.org>
Standards-Version: 3.6.2.2

Package: lsparisc
Architecture: hppa
Depends: ${shlibs:Depends}
Description: list all PA-RISC devices currently available on the system
 Uses information in sysfs (Linux kernels 2.6.0 and later) to list all
 PA-RISC native devices currently attached to the system.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-rm -rf build-stamp install-stamp .config debian/lsparisc
+	-rm -rf build-stamp install-stamp .git .config debian/lsparisc
 	$(MAKE) distclean
 	dh_clean
